PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::DataFrom2Dto3DSourceImpl< PropertyT, FIELD_PROPERTY, VariadicTemplateTypesHolder< ExtraArgs... > >::LazySourceImpl Struct Reference

`#include <plask/filters/change_space_size.hpp>`

Collaboration diagram for plask::DataFrom2Dto3DSourceImpl< PropertyT, FIELD_PROPERTY, VariadicTemplateTypesHolder< ExtraArgs... > >::LazySourceImpl:
[legend]

## Public Member Functions
| LazySourceImpl (const DataFrom2Dto3DSourceImpl< PropertyT, FIELD_PROPERTY, VariadicTemplateTypesHolder< ExtraArgs... > > &source, const shared_ptr< const MeshD< 3 > > &dst_mesh, ExtraArgs... extra_args, InterpolationMethod method)
plask::optional< ValueType > | operator() (std::size_t index)

## Public Attributes
std::vector< LazyData< InputValueType > > | dataForRegion
const DataFrom2Dto3DSourceImpl< PropertyT, FIELD_PROPERTY, VariadicTemplateTypesHolder< ExtraArgs... > > & | source
const shared_ptr< const MeshD< 3 > > | dst_mesh

## Detailed Description

template<typename PropertyT, typename... ExtraArgs>
struct plask::DataFrom2Dto3DSourceImpl< PropertyT, FIELD_PROPERTY, VariadicTemplateTypesHolder< ExtraArgs... > >::LazySourceImpl

Definition at line 139 of file change_space_size.hpp.

## Constructor & Destructor Documentation

## ◆ LazySourceImpl()

template<typename PropertyT , typename... ExtraArgs>

plask::DataFrom2Dto3DSourceImpl< PropertyT, FIELD_PROPERTY, VariadicTemplateTypesHolder< ExtraArgs... > >::LazySourceImpl::LazySourceImpl | ( | const DataFrom2Dto3DSourceImpl< PropertyT, FIELD_PROPERTY, VariadicTemplateTypesHolder< ExtraArgs... > > & | source,
|  | const shared_ptr< const MeshD< 3 > > & | dst_mesh,
|  | ExtraArgs... | extra_args,
|  | InterpolationMethod | method
| ) |  |
| inline

Definition at line 151 of file change_space_size.hpp.

## Member Function Documentation

## ◆ operator()()

template<typename PropertyT , typename... ExtraArgs>

plask::optional< ValueType > plask::DataFrom2Dto3DSourceImpl< PropertyT, FIELD_PROPERTY, VariadicTemplateTypesHolder< ExtraArgs... > >::LazySourceImpl::operator() | ( | std::size_t | index | ) |
| inline

Definition at line 159 of file change_space_size.hpp.

## Member Data Documentation

## ◆ dataForRegion

template<typename PropertyT , typename... ExtraArgs>

std::vector<LazyData<InputValueType> > plask::DataFrom2Dto3DSourceImpl< PropertyT, FIELD_PROPERTY, VariadicTemplateTypesHolder< ExtraArgs... > >::LazySourceImpl::dataForRegion

Definition at line 141 of file change_space_size.hpp.

## ◆ dst_mesh

template<typename PropertyT , typename... ExtraArgs>

const shared_ptr<const MeshD<3> > plask::DataFrom2Dto3DSourceImpl< PropertyT, FIELD_PROPERTY, VariadicTemplateTypesHolder< ExtraArgs... > >::LazySourceImpl::dst_mesh

Definition at line 145 of file change_space_size.hpp.

## ◆ source

template<typename PropertyT , typename... ExtraArgs>

const DataFrom2Dto3DSourceImpl< PropertyT, FIELD_PROPERTY, VariadicTemplateTypesHolder<ExtraArgs...> >& plask::DataFrom2Dto3DSourceImpl< PropertyT, FIELD_PROPERTY, VariadicTemplateTypesHolder< ExtraArgs... > >::LazySourceImpl::source

Definition at line 143 of file change_space_size.hpp.

The documentation for this struct was generated from the following file:

- plask/filters/change_space_size.hpp